Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class CMLedgerListenerInfo

    java.lang.Object
      com.tibco.tibjms.admin.CMLedgerListenerInfo

    public class CMLedgerListenerInfo

extends java.lang.Object

This class represents a summary about a single registered TIBCO Rendezvous certified listener that the EMS server exports messages to.

Method Summary
`long` | `getLastConf()` Returns the TIBCO Rendezvous Certified Messaging sequence number of the last message for which the listener confirmed delivery.
`java.lang.String` | `getName()` Returns the name of the TIBCO Rendezvous certified listener that this object summarizes.
`boolean` | `isDynamic()` Indicates whether or not the TIBCO Rendezvous certified listener had been pre-registered or whether it was created dynamically.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLastConf

    public long getLastConf()

  Returns the TIBCO Rendezvous Certified Messaging sequence number of the last message for which the listener confirmed delivery.

  Returns:
    the sequence number of the last message for which the listener confirmed delivery.

### getName

    public java.lang.String getName()

  Returns the name of the TIBCO Rendezvous certified listener that this object summarizes.

  Returns:
    the name of the TIBCO Rendezvous certified listener that this object summarizes.

### isDynamic

    public boolean isDynamic()

  Indicates whether or not the TIBCO Rendezvous certified listener had been pre-registered or whether it was created dynamically.

  Returns:
    true if TIBCO Rendezvous certified listener had been created dynamically, false if it was pre-registered.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved